httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "alan bryan" <alan.br...@gmail.com>
Subject Re: [users@httpd] mod_authn_dbd or mod_auth_pgsql on Apache 2.2?
Date Fri, 18 Aug 2006 00:05:28 GMT
> > mod_auth_dbd yields:
> > [crit] (70023)This function has not been implemented on this platform:
> > DBD: failed to initialise
>
> That message is a little misleading.  "this platform" doesn't mean FreeBSD,
> it means it's not implemented in your APR-UTIL build.  There should be some
> previous error messages, and "ldd" can tell you whether you've built it with
> pgsql enabled at all.

I also got [crit] (70023)This function has not been implemented on
this platform: DBD: driver for [DBDriver unset] not available.

I think you are on to something here that pgsql isn't enabled at all.
I used the FreeBSD port to build and used the WITH_PGSQL option as
well as adding in mod_authn_dbd
and mod_dbd.  While those modules are successfully built, it does
appear that something in the way the port is building is not properly
linking to postgres.  PostgreSQL 8.1 is installed on the same machine
and working fine - listening on local sockets and via TCP/IP.

# ll /usr/local/libexec/apache22/ | grep dbd
-rwxr-xr-x  1 root  wheel     8077 Aug 17 13:58 mod_authn_dbd.so
-rwxr-xr-x  1 root  wheel    14068 Aug 17 13:58 mod_dbd.so

# ldd /usr/local/libexec/apache22/mod_authn_dbd.so
/usr/local/libexec/apache22/mod_authn_dbd.so:

# ldd /usr/local/libexec/apache22/mod_dbd.so
/usr/local/libexec/apache22/mod_dbd.so:

So, I should be seeing some linking to pgsql libs when doing the above
ldd's right?

This post:
http://marc.theaimsgroup.com/?l=apache-httpd-users&m=113855247701995&w=2
that you answered also alludes to a similar problem.

So, I guess I now have to figure out how to get the apr-utils part of
the build to get this option passed to it.  Since I'm not compiling
this by myself but relying on the FreeBSD ports system to handle it,
I'm not sure how to do that other than the options I already used,
namely WITH_PGSQL=yes (and I also used WITH_PGSQL=/usr/local/pgsql).

If you think that indeed that is the problem please let me know and
I'll ask on FreeBSD specific lists as to what can be done about
getting the port to build against the pgsql libs properly.

Thanks,
Alan

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message